Name:           txt2regex
Version:        0.9
Release:        1%{?dist}
Summary:        Regular expression wizard that converts human sentences to regexes

Group:          Applications/Text
License:        GPLv2
URL:            https://aurelio.net/projects/txt2regex/
Source0:        https://github.com/aureliojargas/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# This removes the "TEXTDOMAINDIR=..." line from txt2regex. It isn't needed in
# Fedora where the default value is OK.
Patch0:         txt2regex-no-TEXTDOMAINDIR.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  gettext
Requires:       bash >= 3.0

%description
txt2regex is a regular expression wizard that converts human sentences to
regexes.

In a simple interactive interface, you just answer questions and build your
own regex for a large variety of software and programming languages.

%prep
%setup -q
%patch0 -p1

%build
# nothing to do

%install
rm -rf %{buildroot}

# install txt2regex and locale files
make DESTDIR=%{buildroot} install

# install man page
mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 644 man/txt2regex.man %{buildroot}%{_mandir}/man1/txt2regex.1

# find locale files
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc CHANGELOG.md CONTRIBUTING.md README.md TODO
%license COPYRIGHT
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sun Jun 14 2020 Richard Fearn <richardfearn@gmail.com> 0.9-1
- Update to new upstream version 0.9 (#1838383)

* Thu Jan 28 2016 Richard Fearn <richardfearn@gmail.com> 0.8-8
- Remove unnecessary %%defattr

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 18 2010 Richard Fearn <richardfearn@gmail.com> - 0.8-3
- include email confirming licence is GPLv2 only, as required by
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines

* Wed Jun  9 2010 Richard Fearn <richardfearn@gmail.com> - 0.8-2
- fix licence: upstream has confirmed that it should be GPLv2 only
- improve description
- use for loop to convert files to UTF-8

* Sun Jun  6 2010 Richard Fearn <richardfearn@gmail.com> - 0.8-1
- initial package for Fedora
